Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt
Class GridBagConstraints

    java.lang.Object
      charva.awt.GridBagConstraints

public class GridBagConstraints
extends java.lang.Object

This class defines constraints used for laying out components in the GridBagLayout layout manager.

Field Summary
`int` | `anchor`
`static int` | `BOTH`
`static int` | `CENTER`
`static int` | `EAST`
`int` | `fill`
`int` | `gridheight`
`int` | `gridwidth`
`int` | `gridx`
`int` | `gridy`
`static int` | `HORIZONTAL`
`Insets` | `insets`
`int` | `ipadx`
`int` | `ipady`
`static int` | `NONE`
`static int` | `NORTH`
`static int` | `NORTHEAST`
`static int` | `NORTHWEST`
`static int` | `SOUTH`
`static int` | `SOUTHEAST`
`static int` | `SOUTHWEST`
`static int` | `VERTICAL`
`double` | `weightx`
`double` | `weighty`
`static int` | `WEST`

Constructor Summary
`GridBagConstraints()` Creates a GridBagConstraints object with all of its fields set to their default value.
`GridBagConstraints(int gridx_, int gridy_, int gridwidth_, int gridheight_, double weightx_, double weighty_, int anchor_, int fill_, Insets insets_, int ipadx_, int ipady_)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### gridx

    public int gridx

### gridy

    public int gridy

### gridwidth

    public int gridwidth

### gridheight

    public int gridheight

### weightx

    public double weightx

### weighty

    public double weighty

### anchor

    public int anchor

### fill

    public int fill

### insets

    public Insets insets

### ipadx

    public int ipadx

### ipady

    public int ipady

### CENTER

    public static final int CENTER

See Also:
  Constant Field Values

### NORTH

    public static final int NORTH

See Also:
  Constant Field Values

### NORTHEAST

    public static final int NORTHEAST

See Also:
  Constant Field Values

### EAST

    public static final int EAST

See Also:
  Constant Field Values

### SOUTHEAST

    public static final int SOUTHEAST

See Also:
  Constant Field Values

### SOUTH

    public static final int SOUTH

See Also:
  Constant Field Values

### SOUTHWEST

    public static final int SOUTHWEST

See Also:
  Constant Field Values

### WEST

    public static final int WEST

See Also:
  Constant Field Values

### NORTHWEST

    public static final int NORTHWEST

See Also:
  Constant Field Values

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### HORIZONTAL

    public static final int HORIZONTAL

See Also:
  Constant Field Values

### VERTICAL

    public static final int VERTICAL

See Also:
  Constant Field Values

### BOTH

    public static final int BOTH

See Also:
  Constant Field Values

Constructor Detail

### GridBagConstraints

    public GridBagConstraints()

  Creates a GridBagConstraints object with all of its fields set to their default value.

### GridBagConstraints

    public GridBagConstraints(int gridx_,
                              int gridy_,
                              int gridwidth_,
                              int gridheight_,
                              double weightx_,
                              double weighty_,
                              int anchor_,
                              int fill_,
                              Insets insets_,
                              int ipadx_,
                              int ipady_)

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD